import { path, getDirname } from "@vuepress/utils";
import MdItComparator from "./markdown/comparator.js";
const __dirname = getDirname(import.meta.url);
export const imageComparatorPlugin = (options) => ({
    name: "vuepress-plugin-image-comparator",
    extendsMarkdown: (md) => {
        md.use(MdItComparator, options);
    },
    clientConfigFile: path.resolve(__dirname, "../client/config.js"),
});
